using UnityEngine;
using System;

public class StaticPref : MonoBehaviour
{
    private static StaticPref mInstance = null;
    public static int player1Choice = 0;
    public static int player2Choice = 0;
    public static int totalP1Followers = 0;
    public static int totalP2Followers = 0;

    private static StaticPref instance
    {
        get
        {
            if (mInstance == null)
            {
                mInstance = GameObject.FindObjectOfType(typeof(StaticPref)) as StaticPref;

                if (mInstance == null)
                {
                    mInstance = new GameObject("StaticPref").AddComponent<StaticPref>();
                }
            }

            return mInstance;
        }
    }
}
